@font-face {
  font-family: 'whispering-galleries';
  src: url('../font/whispering-galleries.eot?2295784');
  src: url('../font/whispering-galleries.eot?2295784#iefix') format('embedded-opentype'),
       url('../font/whispering-galleries.woff?2295784') format('woff'),
       url('../font/whispering-galleries.ttf?2295784') format('truetype'),
       url('../font/whispering-galleries.svg?2295784#whispering-galleries') format('svg');
  font-weight: normal;
  font-style: normal;
}
/* Chrome hack: SVG is rendered more smooth in Windozze. 100% magic, uncomment if you need it. */
/* Note, that will break hinting! In other OS-es font will be not as sharp as it could be */
/*
@media screen and (-webkit-min-device-pixel-ratio:0) {
  @font-face {
    font-family: 'whispering-galleries';
    src: url('../font/whispering-galleries.svg?2295784#whispering-galleries') format('svg');
  }
}
*/
 
 [class^="icon-"]:before, [class*=" icon-"]:before {
  font-family: "whispering-galleries";
  font-style: normal;
  font-weight: normal;
  speak: none;
 
  display: inline-block;
  text-decoration: inherit;
  width: 1em;
  margin-right: .2em;
  text-align: center;
  /* opacity: .8; */
 
  /* For safety - reset parent styles, that can break glyph codes*/
  font-variant: normal;
  text-transform: none;
     
  /* fix buttons height, for twitter bootstrap */
  line-height: 1em;
 
  /* Animation center compensation - margins should be symmetric */
  /* remove if not needed */
  margin-left: .2em;
 
  /* you can be more comfortable with increased icons size */
  /* font-size: 120%; */
 
  /* Uncomment for 3D effect */
  /* text-shadow: 1px 1px 1px rgba(127, 127, 127, 0.3); */
}
 
.icon-up-open:before { content: '\e800'; } /* '' */
.icon-play:before { content: '\e801'; } /* '' */
.icon-cog-1:before { content: '\e802'; } /* '' */
.icon-block:before { content: '\e803'; } /* '' */
.icon-minus-squared-alt:before { content: '\e804'; } /* '' */
.icon-pause:before { content: '\e805'; } /* '' */
@font-face {
    font-family: 'Abel';
    src: url('../font/abel-regular-webfont.eot');
    src: url('../font/abel-regular-webfont.eot?#iefix') format('embedded-opentype'),
         url('../font/abel-regular-webfont.woff') format('woff'),
         url('../font/abel-regular-webfont.ttf') format('truetype'),
         url('../font/abel-regular-webfont.svg#abelregular') format('svg');
    font-weight: normal;
    font-style: normal;
}
.clearfix,
.allow-video {
  zoom: 1;
}
.clearfix:before,
.allow-video:before,
.clearfix:after,
.allow-video:after {
  content: "";
  display: table;
}
.clearfix:after,
.allow-video:after {
  clear: both;
}
body,
html {
  overflow: hidden;
  padding: 0;
  margin: 0;
  height: 100%;
  width: 100%;
  font-family: 'Abel', 'Helvetica';
}
body {
  color: #ccc;
  background-color: #01070c;
  font-size: 1.4em;
  letter-spacing: 0.15em;
}
a {
  color: #ccc;
}
a:active,
a:hover {
  color: #fff;
}
h1 {
  font-size: 2em;
}
h2 {
  font-size: 1.6em;
}
canvas {
  position: relative;
  cursor: none;
}
video {
  position: relative;
}
.settings {
  position: absolute;
  bottom: 10px;
  right: 10px;
  font-size: 1.6em;
  z-index: 1409;
  opacity: 0;
  -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
  filter: alpha(opacity=0);
  -webkit-transition: opacity 1s, -webkit-transform 2s;
  -moz-transition: opacity 1s, -moz-transform 2s;
  -o-transition: opacity 1s, -o-transform 2s;
  -ms-transition: opacity 1s, -ms-transform 2s;
  transition: opacity 1s, transform 2s;
  cursor: pointer;
}
.settings:hover {
  opacity: 1;
  -ms-filter: none;
  filter: none;
  -webkit-transform: rotate(180deg);
  -moz-transform: rotate(180deg);
  -o-transform: rotate(180deg);
  -ms-transform: rotate(180deg);
  transform: rotate(180deg);
}
.nav {
  position: absolute;
  bottom: 10px;
  right: 80px;
  font-size: 1.6em;
  z-index: 1408;
  opacity: 0;
  -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
  filter: alpha(opacity=0);
  -webkit-transition: opacity 1s;
  -moz-transition: opacity 1s;
  -o-transition: opacity 1s;
  -ms-transition: opacity 1s;
  transition: opacity 1s;
  cursor: pointer;
}
.nav .icon-play {
  display: inline-block;
}
.nav .icon-play.reverse {
  -webkit-transform: rotate(180deg);
  -moz-transform: rotate(180deg);
  -o-transform: rotate(180deg);
  -ms-transform: rotate(180deg);
  transform: rotate(180deg);
  line-height: 0.8em;
}
.settings-container {
  z-index: 1410;
  position: absolute;
  right: 10px;
  bottom: 10px;
}
.modal,
.error,
.setup,
.no-webgl,
.no-camera,
.no-leap {
  font-family: 'Abel', 'Helvetica';
  position: absolute;
  z-index: 1500;
  left: 50%;
  top: 25%;
  background-color: #020c15;
  -webkit-border-radius: 10px;
  border-radius: 10px;
  padding: 20px 40px;
  width: 550px;
  min-height: 300px;
  margin-left: -275px;
}
.modal h2,
.error h2,
.setup h2,
.no-webgl h2,
.no-camera h2,
.no-leap h2 {
  margin-bottom: 2px;
  border-bottom: dotted 1px #ccc;
}
.modal h4,
.error h4,
.setup h4,
.no-webgl h4,
.no-camera h4,
.no-leap h4 {
  margin-bottom: 4px;
}
.modal .version,
.error .version,
.setup .version,
.no-webgl .version,
.no-camera .version,
.no-leap .version {
  font-size: 0.4em;
  color: #666;
  margin: 0;
}
.app-paused {
  display: none;
  position: absolute;
  z-index: 2099;
  left: 50%;
  width: 300px;
  height: 300px;
  margin-left: -150px;
  top: 25%;
  text-align: center;
  -webkit-border-radius: 300px;
  border-radius: 300px;
  border: solid 3px #000;
  background-color: RGBA(0, 0, 0, 0.8);
}
.app-paused h4 {
  margin: 0;
  padding: 0;
}
.app-paused [class^="icon-"] {
  font-size: 6em;
  margin: 50px 0 0 0;
  padding: 0;
}
.app-flash {
  position: absolute;
  z-index: 1501;
  left: 50%;
  width: 50%;
  margin-left: -25%;
  top: 10px;
}
.app-status {
  position: absolute;
  z-index: 1502;
  left: 20px;
  bottom: 20px;
}
.app-status em {
  color: #b20003;
  font-style: normal;
  font-weight: 700;
}
.templates-hidden {
  display: none;
}
.allow-video {
  text-align: right;
  position: absolute;
  width: 100%;
  top: 0;
  right: 0;
  padding: 10px 8px;
  -webkit-animation: fade-in 3s ease-in;
  -moz-animation: fade-in 3s ease-in;
  -o-animation: fade-in 3s ease-in;
  -ms-animation: fade-in 3s ease-in;
  animation: fade-in 3s ease-in;
}
.allow-video h2,
.allow-video p {
  margin: 0;
  padding: 0;
}
.allow-video .info-box {
  display: inline-block;
  margin-right: 20px;
}
.allow-video [class^="icon-"] {
  float: right;
  font-size: 1.6em;
  padding: 2px 20px 0 10px;
}
.setup {
  background-color: #01070c;
  text-align: center;
}
.setup .spinner {
  width: 200px;
  -webkit-animation: spin 6s linear infinite;
  -moz-animation: spin 6s linear infinite;
  -o-animation: spin 6s linear infinite;
  -ms-animation: spin 6s linear infinite;
  animation: spin 6s linear infinite;
}
#data {
  display: none;
}
#disable {
  z-index: 1001;
  cursor: pointer;
  position: absolute;
  right: 5px;
  top: 5px;
  padding: 4px 10px;
  font-size: 48px;
  font-weight: 700;
  background-color: RGBA(0, 0, 0, 0.1);
}
#inputVideo {
  position: absolute;
  z-index: 1005;
  left: 5;
  top: 0;
  display: none;
}
#debug {
  z-index: 2001;
  position: absolute;
  top: 5px;
  left: 5px;
}
#debug .hand-debug {
  display: none;
  position: absolute;
  width: 100px;
  height: 100px;
  background-color: RGBA(255, 0, 0, 0.2);
  -webkit-border-radius: 100px;
  border-radius: 100px;
}
#debug .hand-debug .pos {
  margin-top: 35px;
  text-align: center;
  font-size: 0.8em;
}
#leapDebug {
  text-align: center;
  color: #fff;
  font-size: 48px;
  font-weight: 700;
  position: absolute;
  background-color: RGBA(0, 132, 255, 0.2);
  z-index: 1006;
  top: 5px;
  right: 5px;
  display: none;
  min-width: 48px;
  min-height: 48px;
}
@-moz-keyframes fade-in {
  0% {
    opacity: 0;
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
    filter: alpha(opacity=0);
  }
  66% {
    opacity: 0;
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
    filter: alpha(opacity=0);
  }
  100% {
    opacity: 1;
    -ms-filter: none;
    filter: none;
  }
}
@-webkit-keyframes fade-in {
  0% {
    opacity: 0;
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
    filter: alpha(opacity=0);
  }
  66% {
    opacity: 0;
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
    filter: alpha(opacity=0);
  }
  100% {
    opacity: 1;
    -ms-filter: none;
    filter: none;
  }
}
@-o-keyframes fade-in {
  0% {
    opacity: 0;
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
    filter: alpha(opacity=0);
  }
  66% {
    opacity: 0;
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
    filter: alpha(opacity=0);
  }
  100% {
    opacity: 1;
    -ms-filter: none;
    filter: none;
  }
}
@keyframes fade-in {
  0% {
    opacity: 0;
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
    filter: alpha(opacity=0);
  }
  66% {
    opacity: 0;
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
    filter: alpha(opacity=0);
  }
  100% {
    opacity: 1;
    -ms-filter: none;
    filter: none;
  }
}
@-moz-keyframes fade-out {
  0% {
    opacity: 1;
    -ms-filter: none;
    filter: none;
  }
  100% {
    opacity: 0;
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
    filter: alpha(opacity=0);
  }
}
@-webkit-keyframes fade-out {
  0% {
    opacity: 1;
    -ms-filter: none;
    filter: none;
  }
  100% {
    opacity: 0;
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
    filter: alpha(opacity=0);
  }
}
@-o-keyframes fade-out {
  0% {
    opacity: 1;
    -ms-filter: none;
    filter: none;
  }
  100% {
    opacity: 0;
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
    filter: alpha(opacity=0);
  }
}
@keyframes fade-out {
  0% {
    opacity: 1;
    -ms-filter: none;
    filter: none;
  }
  100% {
    opacity: 0;
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
    filter: alpha(opacity=0);
  }
}
@-moz-keyframes spin {
  0% {
    -webkit-transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
  }
}
@-webkit-keyframes spin {
  0% {
    -webkit-transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
  }
}
@-o-keyframes spin {
  0% {
    -webkit-transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
  }
}
@keyframes spin {
  0% {
    -webkit-transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
  }
}
